Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
GETShared Block Primary Storage OperationsSince 2.3.2SynchronousAuth Required

QuerySharedBlock

QuerySharedBlock

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • sharedBlockGroupUuidStringRequired

      The LUN group UUID.

    • diskUuidStringRequired

      The unique identifier of the disk. For example, UUID, WWN, and WWID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeSharedBlockTypeRequired

      See type.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • stateSharedBlockStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • statusSharedBlockStatusRequired

      See status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

GET/zstack/v1/sharedblock-group/sharedblocks

/zstack/v1/sharedblock-group/sharedblocks

Operation ID

QuerySharedBlock

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sharedblock-group/sharedblocks' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3787d759b8323d2e8f0b19ef0bfe930b", "sharedBlockGroupUuid": "0dcfcb85f7613689886ae34114064cbd", "type": "LvmLogicalVolumeBasic", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history